Replace All Menu Item Unavailabilities

Once a menu is sent to our platform, all new items in the menu are theoretically "available", therefore a customer can order them. This endpoint allows the caller to set items as "unavailable" or "hidden":

Statuses

  • unavailable - the item is "greyed out", "striked-through" and marked as "sold out" on our platform. It will be made available during the next morning stock reset.
  • hidden - the item is not visible in the menu for the customers. It will not be affected by the morning stock reset.

The call acts as a complete override of all the item unavailabilities for the given menu/site; as a corollary, sending an empty array will make everything available again.

Examples

See the following sequence of calls:

  1. set orange_juice and granola unavailable
  2. set orange_juice unavailable

After those calls, only orange_juice will remain unavailable. granola will be available.

Interference with other channels

Remember that unavailabilities can be changed through multiple channels (API, Deliveroo tablet, Restaurant Hub). This means that using Replace All Unavailabilities endpoint without knowing the current state of the stock can reset availability of items that were made unavailable/hidden by other channels. Thus we recommend to either:

Rate Limit

This endpoint is rate limited at 1 request per minute per site.

Item IDs not found

Any item IDs sent in the request that don't exist on the requested menu will be ignored in the update. This won't prevent the request from succeeding.

Changing unavailabilities after menu upload

If you want to set item unavailabilities right after calling Upload Menu request, first wait to receive the Menu Upload Result Webhook. Otherwise the change of unavailabilities may be ineffective for newly created items.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the brand (Deliveroo's integration team will provide this).

string
required

The unique identifier for the menu for the given "brand" context.

string
required

ID of the site the menu unavailabilities should be applied to.

Body Params

The request body must contain a json object with two arrays defining the unavailable and hidden IDs.

unavailable_ids
array of strings

Item ids from the site menu that will be marked as unavailable/sold out for the day.

unavailable_ids
hidden_ids
array of strings

Item ids from the site menu that will be hidden indefinitely.

hidden_ids
Responses
200

OK

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json